Package org.w3._2000._09.xmldsig

# Class Signature

java.lang.Object
org.w3._2000._09.xmldsig.Signature

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Signature extends Object implements Serializable

Java class for SignatureType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignatureType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}SignedInfo"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}SignatureValue"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo" minOccurs="0"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Object" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Signature()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `KeyInfo`
  `getKeyInfo()`
  Gets the value of the keyInfo property.
  `List<Object>`
  `getObjects()`
  Gets the value of the objects property.
  `SignatureValue`
  `getSignatureValue()`
  Gets the value of the signatureValue property.
  `SignedInfo`
  `getSignedInfo()`
  Gets the value of the signedInfo property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setKeyInfo(KeyInfo value)`
  Sets the value of the keyInfo property.
  `void`
  `setSignatureValue(SignatureValue value)`
  Sets the value of the signatureValue property.
  `void`
  `setSignedInfo(SignedInfo value)`
  Sets the value of the signedInfo property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Signature

    public Signature()

- ## Method Details

  - ### getSignedInfo

    public SignedInfo getSignedInfo()
    Gets the value of the signedInfo property.
    Returns:
      possible object is `SignedInfo`

  - ### setSignedInfo

    public void setSignedInfo(SignedInfo value)
    Sets the value of the signedInfo property.
    Parameters:
      `value` - allowed object is `SignedInfo`

  - ### getSignatureValue

    public SignatureValue getSignatureValue()
    Gets the value of the signatureValue property.
    Returns:
      possible object is `SignatureValue`

  - ### setSignatureValue

    public void setSignatureValue(SignatureValue value)
    Sets the value of the signatureValue property.
    Parameters:
      `value` - allowed object is `SignatureValue`

  - ### getKeyInfo

    public KeyInfo getKeyInfo()
    Gets the value of the keyInfo property.
    Returns:
      possible object is `KeyInfo`

  - ### setKeyInfo

    public void setKeyInfo(KeyInfo value)
    Sets the value of the keyInfo property.
    Parameters:
      `value` - allowed object is `KeyInfo`

  - ### getObjects

    public List<Object> getObjects()
    Gets the value of the objects property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objects property.

    For example, to add a new item, do as follows:

         getObjects().add(newItem);

    Objects of the following type(s) are allowed in the list `Object`

    Returns:
      The value of the objects property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`